Bug 1419657 - Review Request: rubygem-hashdiff - HashDiff is a diff lib to compute the smallest difference between two hashes
Summary: Review Request: rubygem-hashdiff - HashDiff is a diff lib to compute the smal...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jun Aruga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1271430
TreeView+ depends on / blocked
 
Reported: 2017-02-06 16:39 UTC by Vít Ondruch
Modified: 2017-02-07 08:09 UTC (History)
2 users (show)

Fixed In Version: rubygem-hashdiff-0.3.2-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 08:09:59 UTC
Type: ---
jaruga: fedora-review+


Attachments (Terms of Use)

Description Vít Ondruch 2017-02-06 16:39:25 UTC
Spec URL: https://fedorapeople.org/cgit/vondruch/public_git/rubygem-hashdiff.git/plain/rubygem-hashdiff.spec?h=378013e2a47f2c9661a2220e03d7451f5bcc47dc
SRPM URL: http://people.redhat.com/vondruch/rubygem-hashdiff-0.3.2-1.fc26.src.rpm
Description: HashDiff is a diff lib to compute the smallest difference between two hashes.
Fedora Account System Username: vondruch

Koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=17635416

Comment 1 Jun Aruga 2017-02-06 17:13:55 UTC
Review ok!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 17 files have
     unknown license. Detailed output of licensecheck in /home/jaruga/git
     /fedora-packages/review/1419657-rubygem-hashdiff/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     hashdiff-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: When checking ruby code, install the ruby plugin.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-hashdiff-0.3.2-1.fc26.noarch.rpm
          rubygem-hashdiff-doc-0.3.2-1.fc26.noarch.rpm
          rubygem-hashdiff-0.3.2-1.fc26.src.rpm
rubygem-hashdiff.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
rubygem-hashdiff-doc.noarch: W: invalid-url URL: https://github.com/liufengyun/hashdiff <urlopen error [Errno -2] Name or service not known>
rubygem-hashdiff.noarch: W: invalid-url URL: https://github.com/liufengyun/hashdiff <urlopen error [Errno -2] Name or service not known>
rubygem-hashdiff.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
rubygem-hashdiff-doc (rpmlib, GLIBC filtered):
    rubygem-hashdiff

rubygem-hashdiff (rpmlib, GLIBC filtered):
    ruby(rubygems)



Provides
--------
rubygem-hashdiff-doc:
    rubygem-hashdiff-doc

rubygem-hashdiff:
    rubygem(hashdiff)
    rubygem-hashdiff



Source checksums
----------------
https://rubygems.org/gems/hashdiff-0.3.2.gem :
  CHECKSUM(SHA256) this package     : 5682c6e510f224d3c42c885d80d15d3dc0effadde5ed4920cd727acf2cb939e0
  CHECKSUM(SHA256) upstream package : 5682c6e510f224d3c42c885d80d15d3dc0effadde5ed4920cd727acf2cb939e0


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1419657
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Gwyn Ciesla 2017-02-06 23:59:52 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/rubygem-hashdiff

Comment 3 Vít Ondruch 2017-02-07 08:09:59 UTC
Thx for the review!


Note You need to log in before you can comment on or make changes to this bug.